---
- entityDefinitions:
  - IDC_SetFunction: '{e00ecc08-a7a3-485c-9f3b-28126a2d63f7}'

  - IDI_SetFunction_Union: '{62f000a2-9b51-44ba-89dc-1d4735eb0015}'
  - IDI_SetFunction_Intersection: '{3445c281-271d-405f-ba7d-65ea1fdff0f0}'
  - IDI_SetFunction_Complement: '{fa69b904-315b-4bb1-80a6-c71708fbfde5}'
  - IDI_SetFunction_Difference: '{ec67f62d-387c-4179-9b03-0d9b70195688}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_SetFunction;'
    name:      Set Function
    index:     36
    customTagName:  setFunction

  - setFunction: '&IDI_SetFunction_Union;'
    name: 'Union'
    description: 'Returns the set which consists of all elements that are in either Set A or Set B.'

  - setFunction: '&IDI_SetFunction_Intersection;'
    name: 'Intersection'
    description: 'Returns the set which consists of only those elements that are in both Set A and Set B.'

  # - setFunction: '&IDI_SetFunction_Complement;'
  #   name: 'Complement'
  #   description: 'Returns the set which consists of all elements from the universal set which are not in Set A.'
    
  - setFunction: '&IDI_SetFunction_Difference;'
    name: 'Difference / Except'
    description: 'Returns the set which consists of elements that are in Set A but not in Set B.'